mesos-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Armand Grillet <agril...@mesosphere.io>
Subject Re: Build failed in Jenkins: Mesos-Buildbot » cmake,gcc,--verbose --disable-libtool-wrappers --enable-libevent --enable-ssl,GLOG_v=1 MESOS_VERBOSE=1,centos:7,(ubuntu)&&(!ubuntu-us1)&&(!ubuntu-eu2)&&(!qnode3)&&(!H23) #4298
Date Mon, 09 Oct 2017 17:48:17 GMT
SSLContext was introduced with Python 2.7.9, looks like this OS uses an
older version. It can apparently be fixed, I will do it tonight.

2017-10-09 19:29 GMT+02:00 Kevin Klues <klueska@gmail.com>:

> It appears so. This is another case though where we don't see this occur
> when linting locally with the same virtualenv.  Armand, do you know why
> this might be happening? Is it because the ssl module has c-binding
> dependencies that may be different in the CI?
>
> Kevin
>
> Vinod Kone <vinodkone@apache.org> schrieb am Mo. 9. Okt. 2017 um 19:23:
>
>> +kevin,armand
>>
>> Is this due to any recent python linter commits?
>>
>> On Mon, Oct 9, 2017 at 6:55 AM, Apache Jenkins Server <
>> jenkins@builds.apache.org> wrote:
>>
>> > See <https://builds.apache.org/job/Mesos-Buildbot/BUILDTOOL=
>> > cmake,COMPILER=gcc,CONFIGURATION=--verbose%20--
>> > disable-libtool-wrappers%20--enable-libevent%20--enable-
>> > ssl,ENVIRONMENT=GLOG_v=1%20MESOS_VERBOSE=1,OS=centos%
>> > 3A7,label_exp=(ubuntu)&&(!ubuntu-us1)&&(!ubuntu-eu2)&&(!
>> > qnode3)&&(!H23)/4298/display/redirect?page=changes>
>> >
>> > Changes:
>> >
>> > [bbannier] Formatted 'synchronized' like loop instead of function.
>> >
>> > ------------------------------------------
>> > Started by upstream project "Mesos-Buildbot" build number 4298
>> > originally caused by:
>> >  Started by an SCM change
>> > [EnvInject] - Loading node environment variables.
>> > Building remotely on ubuntu-4 (ubuntu trusty) in workspace <
>> > https://builds.apache.org/job/Mesos-Buildbot/BUILDTOOL=
>> cmake,COMPILER=gcc,
>> > CONFIGURATION=--verbose%20--disable-libtool-wrappers%20--
>> > enable-libevent%20--enable-ssl,ENVIRONMENT=GLOG_v=1%
>> > 20MESOS_VERBOSE=1,OS=centos%3A7,label_exp=(ubuntu)&&(!
>> > ubuntu-us1)&&(!ubuntu-eu2)&&(!qnode3)&&(!H23)/ws/>
>> > Wiping out workspace first.
>> > Cloning the remote Git repository
>> > Cloning repository https://git-wip-us.apache.org/repos/asf/mesos.git
>> >  > git init <https://builds.apache.org/job/Mesos-Buildbot/BUILDTOOL=
>> > cmake,COMPILER=gcc,CONFIGURATION=--verbose%20--
>> > disable-libtool-wrappers%20--enable-libevent%20--enable-
>> > ssl,ENVIRONMENT=GLOG_v=1%20MESOS_VERBOSE=1,OS=centos%
>> > 3A7,label_exp=(ubuntu)&&(!ubuntu-us1)&&(!ubuntu-eu2)&&(!
>> > qnode3)&&(!H23)/ws/> # timeout=10
>> > Fetching upstream changes from https://git-wip-us.apache.org/
>> > repos/asf/mesos.git
>> >  > git --version # timeout=10
>> >  > git fetch --tags --progress https://git-wip-us.apache.org/
>> > repos/asf/mesos.git +refs/heads/*:refs/remotes/origin/*
>> >  > git config remote.origin.url https://git-wip-us.apache.org/
>> > repos/asf/mesos.git # timeout=10
>> >  > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/
>> origin/*
>> > # timeout=10
>> >  > git config remote.origin.url https://git-wip-us.apache.org/
>> > repos/asf/mesos.git # timeout=10
>> > Fetching upstream changes from https://git-wip-us.apache.org/
>> > repos/asf/mesos.git
>> >  > git fetch --tags --progress https://git-wip-us.apache.org/
>> > repos/asf/mesos.git +refs/heads/*:refs/remotes/origin/*
>> > Checking out Revision 4fd018be674ad6badd23f6a1f0baea2d63fd7974
>> > (origin/master)
>> > Commit message: "Formatted 'synchronized' like loop instead of
>> function."
>> >  > git config core.sparsecheckout # timeout=10
>> >  > git checkout -f 4fd018be674ad6badd23f6a1f0baea2d63fd7974
>> >  > git rev-list 5e5ed4db273179101eee90d752c1622315987949 # timeout=10
>> > [76454b83] $ /bin/bash -xe /tmp/jenkins5012206270681846605.sh
>> > + '[' origin/master = origin/1.0.x ']'
>> > + ./support/jenkins/buildbot.sh
>> > Requirement already satisfied (use --upgrade to upgrade): virtualenv in
>> > /usr/lib/python2.7/dist-packages
>> > Cleaning up...
>> > Total errors found: 0
>> > <https://builds.apache.org/job/Mesos-Buildbot/BUILDTOOL=
>> > cmake,COMPILER=gcc,CONFIGURATION=--verbose%20--
>> > disable-libtool-wrappers%20--enable-libevent%20--enable-
>> > ssl,ENVIRONMENT=GLOG_v=1%20MESOS_VERBOSE=1,OS=centos%
>> > 3A7,label_exp=(ubuntu)&&(!ubuntu-us1)&&(!ubuntu-eu2)&&(!
>> > qnode3)&&(!H23)/ws/src/python/cli_new/.virtualenv/local/lib/
>> > python2.7/site-packages/pip/_vendor/requests/packages/
>> urllib3/util/ssl_.py>:318:
>> > SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject
>> > Name Indication) extension to TLS is not available on this platform.
>> This
>> > may cause the server to present an incorrect TLS certificate, which can
>> > cause validation failures. You can upgrade to a newer version of Python
>> to
>> > solve this. For more information, see https://urllib3.readthedocs.
>> > io/en/latest/security.html#snimissingwarning.
>> >   SNIMissingWarning
>> > <https://builds.apache.org/job/Mesos-Buildbot/BUILDTOOL=
>> > cmake,COMPILER=gcc,CONFIGURATION=--verbose%20--
>> > disable-libtool-wrappers%20--enable-libevent%20--enable-
>> > ssl,ENVIRONMENT=GLOG_v=1%20MESOS_VERBOSE=1,OS=centos%
>> > 3A7,label_exp=(ubuntu)&&(!ubuntu-us1)&&(!ubuntu-eu2)&&(!
>> > qnode3)&&(!H23)/ws/src/python/cli_new/.virtualenv/local/lib/
>> > python2.7/site-packages/pip/_vendor/requests/packages/
>> urllib3/util/ssl_.py>:122:
>> > InsecurePlatformWarning: A true SSLContext object is not available. This
>> > prevents urllib3 from configuring SSL appropriately and may cause
>> certain
>> > SSL connections to fail. You can upgrade to a newer version of Python to
>> > solve this. For more information, see https://urllib3.readthedocs.
>> > io/en/latest/security.html#insecureplatformwarning.
>> >   InsecurePlatformWarning
>> > <https://builds.apache.org/job/Mesos-Buildbot/BUILDTOOL=
>> > cmake,COMPILER=gcc,CONFIGURATION=--verbose%20--
>> > disable-libtool-wrappers%20--enable-libevent%20--enable-
>> > ssl,ENVIRONMENT=GLOG_v=1%20MESOS_VERBOSE=1,OS=centos%
>> > 3A7,label_exp=(ubuntu)&&(!ubuntu-us1)&&(!ubuntu-eu2)&&(!
>> > qnode3)&&(!H23)/ws/src/python/cli_new/.virtualenv/local/lib/
>> > python2.7/site-packages/pip/_vendor/requests/packages/
>> urllib3/util/ssl_.py>:122:
>> > InsecurePlatformWarning: A true SSLContext object is not available. This
>> > prevents urllib3 from configuring SSL appropriately and may cause
>> certain
>> > SSL connections to fail. You can upgrade to a newer version of Python to
>> > solve this. For more information, see https://urllib3.readthedocs.
>> > io/en/latest/security.html#insecureplatformwarning.
>> >   InsecurePlatformWarning
>> > ************* Module apply-reviews
>> > E:169,14: Module 'ssl' has no 'SSLContext' member (no-member)
>> > E:189,19: Unexpected keyword argument 'context' in function call
>> > (unexpected-keyword-arg)
>> > Total errors found: 2
>> > Checking 1210 C++ files
>> > Virtualenv not detected... building
>> > Rebuilding virtualenv...
>> > Checking 39 Python files
>> > Build step 'Execute shell' marked build as failure
>> >
>>
> --
> ~Kevin
>



-- 
Armand Grillet
Software Engineer, Mesosphere

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message